#include "algorithm.hpp"
#include <iostream>

int main(int argc, char* argv[]) {
    if (argc != 2) {
        std::cerr << "Usage: search-algorithms graphFile.txt" << std::endl;
        return 1;
    }
    Graph newGraph = ReadInGraph(argv[1]);
    std::cout << "BFS" << std::endl;
    std::cout << "---" << std::endl;
    for (int i = 1; i < newGraph.nodeCount + 1; i++) {
        PrintSolution(BFS(newGraph, 1, i));
    }
    std::cout << "DFS" << std::endl;
    std::cout << "---" << std::endl;
    for (int i = 1; i < newGraph.nodeCount + 1; i++) {
        PrintSolution(DFS(newGraph, 1, i));
    }
    std::cout << "UCBFS" << std::endl;
    std::cout << "---" << std::endl;
    UCBFS(newGraph, 1);
    return 0;
}
